---------------------------------------------------------------------
-- Invisible Inc. official DLC.
--
local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include( "sim/simdefs" )

local HOTKEY_COLOUR = "<c:ffffff>"
local FLAVOUR_COLOUR = "<c:61AAAA>"
local ITEM_HEADER_COLOUR = "<ttheader>"
local DESC_COLOUR = "<c:ffffff>"
local EQUIPPED_COLOUR = "<c:FF8411>"
local NOTINSTALLED_COLOUR = "<c:FF8411>"
--local SPECIAL_INFO_COLOUR = "<c:F4FF78>"
local SPECIAL_INFO_COLOUR = "<c:ffffff>"


local tool_templates =
{
	----------- decker augs -----------------
	
	augment_deckard = util.extend( commondefs.augment_template )
	{
		name = STRINGS.FLAVORED.ITEMS.AUGMENTS.DECKER_BOOT,
		desc = STRINGS.FLAVORED.ITEMS.AUGMENTS.DECKER_BOOT_TIP,
		flavor = STRINGS.FLAVORED.ITEMS.AUGMENTS.DECKER_BOOT_FLAVOR, 
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			icebreak = 4,
			installed = true,
		},		
		abilities = util.tconcat( commondefs.augment_template.abilities, { "decker_icebreak" }),
		onTooltip = function( tooltip, unit, userUnit )
            commondefs.onItemTooltip( tooltip, unit, userUnit )
			tooltip:addAbility(  STRINGS.FLAVORED.ITEMS.NOTE_ACTION, STRINGS.FLAVORED.ITEMS.NOTE_ACTION_DESC, "gui/icons/arrow_small.png" )	
        end,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_generic_leg_small2.png",
    	profile_icon_100 = "gui/icons/item_icons/icon-item_generic_leg2.png",	
	},
}

-- Reassign key name to value table.
for id, template in pairs(tool_templates) do
	template.id = id
end

return tool_templates


















