---------------------------------------------------------------------
--
-- The function is responsible for initializing the mod and doing whatever
-- the mod needs to do up front.
--

local util = include( "modules/util" )

-- init will be called once
local function init( modApi )

    log:write("inside the prism mod")
    local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
    
    -- Mount data.
	KLEIResourceMgr.MountPackage( dataPath .. "/gui.kwad", "data" )
	
    modApi:addAbilityDef( "prism_combatdisguise", scriptPath .."/prism/prism_combatdisguise" ) 
    modApi:addAbilityDef( "prism_allytagger", scriptPath .."/prism/prism_allytagger" ) 
    modApi:addAbilityDef( "prism_allytagger_wake", scriptPath .."/prism/prism_allytagger_wake" ) 
    modApi:addAbilityDef( "jackin_calmguards", scriptPath .."/prism/jackin_calmguards" ) 
	
    modApi:addAbilityDef( "prism_handshake", scriptPath .."/prism/prism_handshake" ) 
    modApi:addAbilityDef( "prism_gps_tracker", scriptPath .."/prism/prism_gps_tracker" ) 
   
	modApi:addAbilityDef( "shalem_shootOverwatch", scriptPath .."/shalem/shalem_shootOverwatch" ) 
	modApi:addAbilityDef( "shalem_stowBody", scriptPath .."/shalem/shalem_stowBody" ) 
	modApi:addAbilityDef( "shalem_tagGuard", scriptPath .."/shalem/shalem_tagGuard" ) 
	--modApi:addAbilityDef( "use_invisigel", scriptPath .."/use_invisigel" )	
	
	modApi:addAbilityDef( "decker_icebreak", scriptPath .."/decker/decker_icebreak" ) 
 

    --[[

    local logs = include( scriptPath .. "/logs" )
    for i,log in ipairs(logs) do      
        modApi:addLog(log)
    end

    ]]
	
	modApi:addGenerationOption("decker", STRINGS.FLAVORED.OPTIONS.ENABLE_DECKER , STRINGS.FLAVORED.OPTIONS.ENABLE_DECKER_TIP)
	modApi:addGenerationOption("shalem", STRINGS.FLAVORED.OPTIONS.ENABLE_SHALEM , STRINGS.FLAVORED.OPTIONS.ENABLE_SHALEM_TIP)
	modApi:addGenerationOption("prism", STRINGS.FLAVORED.OPTIONS.ENABLE_PRISM , STRINGS.FLAVORED.OPTIONS.ENABLE_PRISM_TIP)
end

-- load may be called multiple times with different options enabled
local function load( modApi, options )

    local scriptPath = modApi:getScriptPath()
	

	if options["prism"].enabled then
        local agentdefs = include( scriptPath .. "/prism/agentdefs_prism" )
        for name, agentDef in pairs(agentdefs) do
            modApi:addAgentDef( name, agentDef )
        end
        
        local itemdefs = include( scriptPath .. "/prism/itemdefs_prism" )
		for name, itemDef in pairs(itemdefs) do
            modApi:addItemDef( name, itemDef )
        end     
	end
	

	if options["shalem"].enabled then
		local agentdefs2 = include( scriptPath .. "/shalem/agentdefs_shalem" )
        for name, agentDef in pairs(agentdefs2) do
            modApi:addAgentDef( name, agentDef )
        end
        
        local itemdefs = include( scriptPath .. "/shalem/itemdefs_shalem" )
		for name, itemDef in pairs(itemdefs) do
            modApi:addItemDef( name, itemDef )
        end     
	end
	
	if options["decker"].enabled then
		local agentdefs3 = include( scriptPath .. "/decker/agentdefs_decker" )
        for name, agentDef in pairs(agentdefs3) do
            modApi:addAgentDef( name, agentDef )
        end
        
        local itemdefs = include( scriptPath .. "/decker/itemdefs_decker" )
		for name, itemDef in pairs(itemdefs) do
            modApi:addItemDef( name, itemDef )
        end     
	end
	



end

local function initStrings( modApi )
	local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
    local MOD_STRINGS = include( scriptPath .. "/strings" )
    modApi:addStrings( dataPath, "FLAVORED", MOD_STRINGS )  
end
 
return {
    init = init,
    load = load,
    initStrings = initStrings,
}
