---------------------------------------------------------------------
-- Invisible Inc. official DLC.
--

local MOD_STRINGS =
{	           
	
	OPTIONS =
	{
		ENABLE_PRISM = "Enable Prism Reworks",
		ENABLE_PRISM_TIP = "Alters Augments and items for Prism",  
		
		ENABLE_SHALEM = "Enable Shalem Reworks",
		ENABLE_SHALEM_TIP = "Alters Augments and items for Shalem",  
		
		ENABLE_DECKER = "Enable Decker Reworks",
		ENABLE_DECKER_TIP = "Alters Augments and items for Decker",  
	},


	ITEMS =
	{
		AUGMENTS =
		{
			--------------- Prism Augs -----------------

			HANDSHAKE = "Digital Handshake",
			HANDSHAKE_TOOLTIP = "Melee range. Finds an information packet on guards.",
			HANDSHAKE_FLAVOR = "Augmentation is reviled in holovid circles, but this finger mod can easily pass as an innocuous ring while it scans nearby phones for habits and secrets.",

			HOLO_MESH_AUG = "Subcutaneous Holographic Mesh",
			HOLO_MESH_AUG_TOOLTIP = "Generates a disguise while active.\nSprinting and attacking disables the effect.\nDisguise will fail if an enemy observes from 1 tile away.",
			HOLO_MESH_AUG_FLAVOR ="After her 'death' Esther's influx of wealth and reliance on her holorig led her to surgically graft the device's mesh to her skin. She hasn't aged a day since.",
			
			CUSTOMCHARGE = "Alarm Loop Link",
	--		CUSTOMCHARGE_DESC = "This customised Holomesh taps into local security systems to feed its own power store.Starts missions with {1} charges and gains 1 charge each alarm increase.",
			CUSTOMCHARGE_DESC = "Starts missions with {1} charges. Gains 1 charge per alarm increase.",
			
			COSTCHARGE_ACTIVATE = "Use Charge",
			COSTCHARGE_ACTIVATE_DESC = "Consumes {1} charges when activated",
			
			DRAINCHARGE = "Charge Drain",
			DRAINCHARGE_DESC = "Consumes {1} charges at the start of each turn while active.",		
			
			HOLO_MESH_AUG_WARNING = "HOLOGRAM ACTIVE -{1} {1:CHARGE|CHARGES}",
			HOLO_MESH_AUG_USE = "Activate Disguise",
			HOLO_MESH_AUG_USE_TIP = "Uses {1} {1:charge|charges}",
			HOLO_MESH_MINUS_CHARGE = "-{1} {1:CHARGE|CHARGES}",
			HOLO_MESH_PLUS_CHARGE = "+{1} {1:CHARGE|CHARGES}",
			NOT_ENOUGH_CHARGE = "Not enough charge",
			
			------------ Shalem Augs --------------------
			
			SHALEMS = "High-speed Optics",
			SHALEMS_TIP = "+1 armor piercing during ranged overwatch",
			SHALEMS_FLAVOR = "This high-end eye replacement grants Shalem a slow-motion view of the world, allowing him to pinpoint weak spots that are usually obstructed on stationary targets",
			
			HEARTBREAKER_BONUS  = "Heartbreaker",
			HEARTBREAKER_BONUS_DESC = "Tag 1 guard to destroy their heart monitor when using overwatch.\nCosts {1} PWR, {2} for advanced models.",
			HEARTBREAKER = "Heartbreak",
			HEARTBREAKER_DESC = "Overwatch ignores heart monitor.\n{1} PWR, One unit at a time.",
			
			SHALEM_DUMP = "Skeletal Gearing",
			SHALEM_DUMP_TIP = "Hide corpses in safes. Reduces cleanup cost when used.",
			SHALEM_DUMP_FLAVOR = "The extra support this gearing provides when lifting heavy and ungainly objects makes this common augment for morticians and greengrocers alike",
			
			STOW_BODY = "Stow Body",
			STOW_BODY_DESC = "HIDE AND HALVE CLEANUP COST FOR THIS GUARD.",
			STOW_BODY_REQ_BODY = "Must be holding body to dispose of it",
			STOW_BODY_REQ_OPEN = "Safe must be opened",
			STOW_BODY_REQ_FRONT = "Must be in front of safe",
			
			----------------- Decker Augs ------------------
			
			DECKER_BOOT = "Server Kick",
			DECKER_BOOT_TIP = "Break 4 firewalls on databases",
			DECKER_BOOT_FLAVOR = "As much as he hates it, Decker admits that all this highly-interlinked technology makes a detective's job much easier - just never refer to his prosthetic legs as augments",
		},
		
		
		NOTE_ACTION = "USES ACTION",
		NOTE_ACTION_DESC = "This ability counts as an attack",
		
		-- 1ko pistol + 4KO on allies (drag them through cameras!)
		
		ALLYTAGGER = "L.A.R. Pistol",
		ALLYTAGGER_TOOLTIP = "High velocity tag launcher. Safely KO and Reawaken allies.",
		ALLYTAGGER_FLAVOR = "Although little more dangerous than a BB gun, the ability to convincingly incapacitate willing subjects makes this an essential part of any grifter's toolkit.",
		ALLYTAGGER_TOOLTIP_SLEEP = "TAG ALLY",
		ALLYTAGGER_TOOLTIP_SLEEP_DESC = "KO an ally for 4 turns. Does not drop disguise. Subject may be pinned, dragged or wirelessly revived.",
		
		ALLYTAGGER_TOOLTIP_ONLYWATCH = "DEFENSIVE",
		ALLYTAGGER_TOOLTIP_ONLYWATCH_DESC = "This weapon can only attack enemies via Overwatch.",
		
		ALLYTAGGER_INFIELD_TAG = "Tag Ally",
		ALLYTAGGER_INFIELD_TAG_DESC = "KO for 4 turns",
		
		ALLYTAGGER_INFIELD_WAKE = "Wake Ally",
		ALLYTAGGER_INFIELD_WAKE_DESC = "Revive this unit. Does not require line of sight",
		ALLYTAGGER_INFIELD_WAKE_NEED_SPACE = "Agent pinned",
		
		---------------------
		
		ALARM_CHIP = "COMLINK CHIP",
		ALARM_CHIP_TOOLTIP = "Hijack consoles to reduce alarm level equal to stored PWR.",
		ALARM_CHIP_FLAVOR = "Often carried by engineers and emergency units to tap into low-clearance communication lines. It really helps calm an operator's fears if you talk to them confidently and ask how they're doing.",

		HIJACK_CALMGUARDS = "Counter Alarm",
		HIJACK_CALMGUARDS_DESC = "Reduce alarm by {1} {1:step|steps}",
		
		REQ_DISGUISE = "Requires Disguise",
		REQ_DISGUISE_DESC = "Can only be used while user is actively disguised",
		REASON_REQ_DISGUISE = "Requires an active disguise",
		
		STARTS_COOLDOWN = "Starting Cooldown",
		STARTS_COOLDOWN_DESC = "Starts with {1} cooldown",
		
		ALARM_SUB = "ALARM -{1}",
		
		---------------------
		
		PACKET_GPS = "Packet: GPS",
		PACKET_GPS_TOOLTIP = "Tags the guard holding it at start of each turn",
		PACKET_GPS_FLAVOR = "This software, often used to keep tabs on employees, is insanely secure if treated with respect. Luckily your target never did.",	
		
		PACKET_DIRT = "Packet: Dirt",
		PACKET_DIRT_TOOLTIP = "Trade for credit (unknown amount)",
		PACKET_DIRT_FLAVOR = "You know from first hand experience that someone out there will be willing to pay for this compromising information.",	
		
		PACKET_PASSWORD = "Packet: Password",
		PACKET_PASSWORD_TOOLTIP = "Use at consoles for 2 extra PWR",
		PACKET_PASSWORD_FLAVOR = "It's amazing how much further official identification will take you, even if it's not technically your own.",	
		
		PACKET_VIP = "Packet: VIP Password",
		PACKET_VIP_TOOLTIP = "Break up to 10 points of firewall",
		PACKET_VIP_FLAVOR = "There are some people in this world with more influence than they know what to do with. Surely you're willing to help them out.",			
	},


}

return MOD_STRINGS
























